.comment-stats {
	display: grid;
	align-items: flex-start;
	grid-gap: 24px;
	padding: 16px;
	background: var(--whisper-50);
	border-radius: 12px;
	margin-bottom: 24px;
}

.comment-stats--general {
	border-bottom: 1px solid var(--whisper-300);
	padding-bottom: 12px;
	text-align: center;
}

.comment-stats--title {
	font-size: 16px;
	font-weight: 600;
	line-height: 20px;
	margin-bottom: 4px;
}

.comment-stats--stars {
	justify-content: center;
	gap: 1px;
}

.comment-stats--stars .svg-icon {
	font-size: 32px;
}

.comment-stats--content {
	color: var(--whisper-600);
	font-size: 14px;
	line-height: 20px;
	margin: 12px 0;
}

.comment-stats--button {
	display: inline-flex;
	font-weight: 400;
	height: 40px;
}

.comment-stats--list {
	display: grid;
	align-items: center;
	grid-template-columns: 70px 1fr 50px;
	grid-gap: 10px;
}

.comment-stats--list:not(:last-child) {
	margin-bottom: 8px;
}

.comment-stats--list-label {
	font-size: 14px;
	color: var(--whisper-400);
	line-height: 20px;
}

.comment-stats--list-progress {
	position: relative;
	height: 10px;
	background: var(--whisper-300);
	border-radius: 4px;
}

.comment-stats--list-progress::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: var(--ratingPercent);
	height: 100%;
	background: var(--mustard-400);
	border-radius: 4px;
}

.comment-stats--list-value {
	font-size: 16px;
	color: var(--whisper-950);
	font-weight: 600;
	line-height: 20px;
}

@media (min-width: 768px) {
	.comment-stats {
		grid-template-columns: 1fr 278px;
		padding: 24px;
	}

	.comment-stats--general {
		border-right: 1px solid var(--whisper-300);
		border-bottom: 0;
		padding: 0;
		text-align: left;
	}

	.comment-stats--stars {
		justify-content: flex-start;
	}
}